<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<title>QR code scanner</title>
		<meta name="description" content="Scan QR codes in your web browser, no downloads required!">
  	<meta name="keywords" content="qr, qr code">
		<meta name="viewport" content="width=device-width,initial-scale=1">
		<meta name="mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<link rel="apple-touch-icon" href="/assets/icons/apple-touch-icon.png">
		<style>body{background-color:#fff;color:#323130}@media(prefers-color-scheme:dark){body{background-color:#323130;color:#fff}}</style>
		<% preact.headEnd %>
	</head>
	<body>
		<div style="position:absolute;top:50px;left:0;width:100%;min-height:calc(100% - 50px);display:flex;flex-direction:column;align-items:center;justify-content:center;text-align:center;user-select:none;font-family:'Segoe UI','Segoe UI Web (West European)','Segoe UI',-apple-system,BlinkMacSystemFont,'Roboto','Helvetica Neue',sans-serif" id="preload">
			<div style="position:fixed;top:0;left:0;width:100%;min-height:50px;background-color:#348529;color:#fff;text-align:initial;justify-content:center;display:flex;flex-direction:column">
				<span style="padding-left:20px;font-weight:bold;font-size:14px">QR code scanner</span>
			</div>
			<noscript>
				<div>
					<h1>JavaScript is required</h1>
					<p>This webapp requires JavaScript to work, since all processing is performed directly on your device.</p>
					<p>
						This site uses Plausible Analytics, a privacy-conscious analytics service.<br />
						You will have the chance to disable Plausible on the first load of the webapp with JavaScript enabled.<br />
						(Afterwards the setting can be changed by selecting the "i" icon in the top right, then "Change analytics preferences")
					</p>
					<p>This webapp is open source! <a style="color:#348529" href="https://gitlab.com/nast.ro/scanqr" target="_blank">View source on GitLab</a></p>
					<p><a style="color:#348529" href="https://plausible.io/data-policy" target="_blank">Plausible Analytics' data policy</a> - <a style="color:#348529" href="https://nast.ro/privacy/?source=scanqr" target="_blank">Privacy info for this site</a></p>
				</div>
			</noscript>
			<script>document.getElementById('preload').innerHTML+='<h1>Loading...</h1>'</script>
		</div>
		<% preact.bodyEnd %>
	</body>
</html>
